Package org.kapott.hbci.GV

# Class GVTermUebSEPAList

java.lang.Object
org.kapott.hbci.GV.HBCIJobImpl
org.kapott.hbci.GV.AbstractSEPAGV
org.kapott.hbci.GV.GVTermUebSEPAList

All Implemented Interfaces:
  `HBCIJob`

public final class GVTermUebSEPAList extends AbstractSEPAGV

## Field Summary

### Fields inherited from class org.kapott.hbci.GV.AbstractSEPAGV

`ENDTOEND_ID_NOTPROVIDED, sepaParams`

### Fields inherited from class org.kapott.hbci.GV.HBCIJobImpl

`jobResult`

## Constructor Summary

Constructors
Constructor
Description
`GVTermUebSEPAList(HBCIHandler handler)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`protected SepaVersion`
`getDefaultPainVersion()`
Liefert die Default-PAIN-Version, das verwendet werden soll, wenn von der Bank keine geliefert wurden.
`static String`
`getLowlevelName()`
`String`
`getPainJobName()`
Referenzierter pain-Jobname.
`protected SepaVersion.Type`
`getPainType()`
Liefert den PAIN-Type.

### Methods inherited from class org.kapott.hbci.GV.AbstractSEPAGV

`addConstraint, createSEPAFromParams, getLowlevelParam, getPainVersion, getSEPAGenerator, getSEPAMessageId, getSEPAParam, setLowlevelParam, setSEPAParam, verifyConstraints`

### Methods inherited from class org.kapott.hbci.GV.HBCIJobImpl

`acceptsParam, addConstraint, addSignaturePassport, addToQueue, addToQueue, applyOffset, canNationalAcc, checkAccountCRC, createJobSegment, createJobSegment, fillJobResult, fillJobResultFromTanJob, getChallengeParam, getExternalId, getHBCICode, getJobName, getJobParameterNames, getJobRestrictions, getJobResult, getJobResultNames, getLowlevelParams, getMainPassport, getMaxNumberPerMsg, getMinSigs, getName, getOrderAccount, getParentHandler, getSecurityClass, getSegVersion, getSignaturePassports, haveTan, redo, redoAllowed, saveReturnValues, setExternalId, setIdx, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setSegVersion, skip, skipped, tanApplied, twoDigitValueInList`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GVTermUebSEPAList

public GVTermUebSEPAList(HBCIHandler handler)

## Method Details

### getDefaultPainVersion

protected SepaVersion getDefaultPainVersion()
Description copied from class: `AbstractSEPAGV`
Liefert die Default-PAIN-Version, das verwendet werden soll, wenn von der Bank keine geliefert wurden.

Specified by:
  `getDefaultPainVersion` in class `AbstractSEPAGV`
Returns:
  Default-Pain-Version.
See Also:
  - `AbstractSEPAGV.getDefaultPainVersion()`

### getPainType

protected SepaVersion.Type getPainType()
Description copied from class: `AbstractSEPAGV`
Liefert den PAIN-Type.

Specified by:
  `getPainType` in class `AbstractSEPAGV`
Returns:
  der PAIN-Type.
See Also:
  - `AbstractSEPAGV.getPainType()`

### getLowlevelName

public static String getLowlevelName()

### extractResults

protected void extractResults(HBCIMsgStatus msgstatus, String header, int idx)

Overrides:
  `extractResults` in class `HBCIJobImpl`

### getPainJobName

public String getPainJobName()
Description copied from class: `AbstractSEPAGV`
Referenzierter pain-Jobname. Bei vielen Geschäftsvorfällen (z.B. Daueraufträgen) wird die pain der Einzeltransaktion verwendet.

Overrides:
  `getPainJobName` in class `AbstractSEPAGV`
Returns:
  Value